VFS_ROOTMOUNTALLOC(9)

NAME
vfs_rootmountalloc - allocate a root mount structure

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
int
vfs_rootmountalloc(char *fstypename, char *devname, struct mount **mpp);

DESCRIPTION
vfs_rootmountalloc() allocates a mount structure initialized from the vfsconf type that matches fstypename.

RETURN VALUES
If successful, 0 is returned and mpp points to the newly allocated mount structure. ENODEV is returned if fstypename is NULL or invalid.

SEE ALSO
vfsconf(9)

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.